#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/akregator/src
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

tde_create_translated_desktop(
  SOURCE akregatorplugin.desktop akregatorplugin3.2.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kontact
  PO_DIR kontact-desktops
)


##### libkontact_akregator (module) #############

tde_add_kpart( libkontact_akregator AUTOMOC
  SOURCES
    akregator_plugin.cpp
    ${CMAKE_SOURCE_DIR}/akregator/src/akregator_partiface.stub
  LINK kpinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
